#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

bool isFirstBigger(string num1, string num2)
{
	for (unsigned short i = 0; i < num1.length(); ++i)
	{
		if (num1[i] > num2[i]) return true;
	}
	return false;
}

int main()
{
	unsigned long long a, b, c;
	cin >> a >> b >> c;
	
	string as = to_string(a);
	string bs = to_string(b);
	string cs = to_string(c);
	string nums[6];
	nums[0] = as + bs + cs;
	nums[1] = as + cs + bs;
	nums[2] = bs + as + cs;
	nums[3] = bs + cs + as;
	nums[4] = cs + as + bs;
	nums[5] = cs + bs + as;
	
	string max = nums[0];
	for (unsigned short i = 1; i < 6; ++i)
		if (nums[i] > max) max = nums[i];

	cout << max << endl;
	return 0;
}